/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";
@import "~animate.css/animate.min.css";

ion-header {
  &:after {
    background-image: none !important;
  }
}
ion-toolbar {
  --border-width: 0 !important;
}
.footer-toolbar {
  --border-width: 0 !important;
  --background:#fafafa;
}
.my-footer:before {
  top: 0;
  background-image: none;
  background-color: transparent;
}
.text-white {
  color: #fff !important;
}
.mar-right10 {margin-right: 10px;}
.button1 {
  background: linear-gradient(90deg, rgba(76,137,255,1) 0%, rgba(76,202,255,1) 100%);
  color: #ffffff;
  padding: 10px 18px;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.5px;
  border-radius: 20px;
  font-size: 12px;
  display: inline-flex;
  align-content: center;
  -webkit-box-align: center;
  align-items: center;
  box-shadow: 3px 4px 5px 0px rgba(10, 41, 130, 0.21);
  img {
    margin-right: 5px;
  }
  @media (max-width: 320px) {
    font-size: 10px;
    padding: 10px 15px;
  }
}
.bg-grey {
  background-color:#f8f8f8;
  --background: #f8f8f8;
}
.ion-btn {
  --background:linear-gradient(-90deg, rgba(10,41,130,1) 0%, rgba(76,202,255,1) 100%);
  --border-radius: 21px;
  --padding-bottom: 10px;
  --padding-end: 25px;
  --padding-top: 10px;
  --padding-start:25px;
  letter-spacing: 1.5px;
  color: #fff;
  text-transform: uppercase;
  --background-activated:linear-gradient(-180deg, rgba(10,41,130,1) 0%, rgba(76,202,255,1) 100%);
  --background-focused:linear-gradient(-180deg, rgba(10,41,130,1) 0%, rgba(76,202,255,1) 100%);
  --background-hover:linear-gradient(-180deg, rgba(10,41,130,1) 0%, rgba(76,202,255,1) 100%);
}
.forgot-password {
  color: var(--ion-color-primary);
  font-weight: 600;
  font-size: 11px;
  cursor: pointer;
}
.my-menu {
  max-width:13% !important;
}
.notification-icon  {
  display: inline-flex;
}

.section-padding {
   padding:10px 0px;
}
.menu-wrap {
  --background: #fff;
  border-radius: 0px 20px 20px 0px;
}
.color-light-blue {
  color:#C2D7E3 !important;
}
.menu-list {
  font-size:18px;
  width: 100%;
  display: block;
  cursor: pointer;
  padding: 10px 20px;
  letter-spacing: 1px;
  color:#C2D7E3;
  border-radius: 5px 20px 20px 5px;
  margin-right: 5px;
  ion-icon {
    padding-left: 15px;
    font-size: 22px;
    vertical-align: bottom;
  }
}
.menu-list:hover, .menu-list:active {background-color: #ddd;}
.title {
  font-size: 18px;
  font-weight: bold;
  display: block;
  color: var(--ion-color-tertiary);
  white-space: initial;
  text-shadow: 0px 4px 5px rgba(10, 41, 130, 0.21);
  letter-spacing: 0.5px;
  span {
    color: var(--ion-color-primary);
  }
}
.title-sm {
  font-size:15px;
  @media (max-width: 320px) {
    font-size: 13px;
  }
}
.sub-title {
  color: var(--ion-color-primary);
  font-weight: 600;
  font-size: 12px;
  white-space: normal;
}
.super-sub-title {
  color: var(--ion-color-tertiary);
  font-weight: 600;
  font-size:11px;
  opacity: 0.5;
}

.phra {
  font-size:13px;
  color: #3e4264;
  @media (max-width: 320px) {
    font-size: 12px;
  }
}
.vertical-align {
  display: flex;
  align-content: center;
  align-items: center;
  justify-content: center;
}
.my-card {
  background-color: #fff;
  box-shadow: 0 6px 27px 0px rgba(0, 0, 0, .1);
  -webkit-box-shadow: 0 6px 27px 0px rgba(0, 0, 0, .1);
  border-radius: 15px;
  margin: 0;
}
.btn1 {
  padding:10px 15px;
  background-color: #E8E8E8;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.8px;
  border-radius: 20px;
  color: #868686;
  font-size: 12px;
  @media (max-width: 320px) {
    padding: 6px 10px;
    font-size: 10px;

  }
}

.scroll-overflow {
  overflow-x: scroll;
  max-width: 100%;
  overflow-y: hidden;
  display: inline-block;
  white-space: nowrap;
  .book-scroll {
    width: 250px;
  }
}
.fb-icon {
  color:#385C8E;
}
.tw-icon {
  color:#03A9F4;
}
.youtube-icon {
  color:#D8362A;
}
.web-icon {
  color:#00B0F6;
}
.mybtn2 {
  background: linear-gradient(260deg, #2d90f8 25%, rgba(138, 195, 255, 0.789531) 100%);
  box-shadow:3px 4px 5px 0px rgba(0, 176, 246, 0.25);
  -webkit-box-shadow:3px 4px 5px 0px rgba(0, 176, 246, 0.25);
  color: #ffffff;
  font-weight: 600;
  border-radius: 25px;
  padding: 10px 20px;
  text-align: center;
  font-size:14px;
}
.btn-lg {
  width: 100%;
  background: var(--ion-color-secondary);
}
.btn-white {
  background: #fff;
  color: var(--ion-color-secondary);
}
.class-banner {
  background-color:#e6e9f2;
  padding:25px 30px;
  border-radius:15px;
  position: relative;
  margin-top: 20px;
}
.banner-title {
  color: var(--ion-color-primary);
  font-size:16px;
  font-weight: 600;
}
.banner-subtitle {
  font-size: 13px;
  color:#494949;
}
.banner-image img {
  position: absolute;
  width: 80%;
  top: -50px;
  z-index: 99;
  right: 0;
}
.round-section {
  margin-top: -35px;
  background-color: #fafafa;
  border-radius: 30px 30px 0px 0px;
}
.tab-section {
  margin-top: -30px;
}
.tab-title {
  font-size: 13px;
  img {
    width: 17px;
    margin-right: 10px;
    filter:brightness(1) invert(0);
  }
}
.tab-cart {
  background-color: #ffffff;
  padding:8px 15px;
  border-radius: 20px;
  color:#b1b1b1;
  box-shadow: 3px 4px 5px 0px rgba(10, 41, 130, 0.28);
  ion-icon {
    font-size: 25px;
    color: #c6cad9;
  }
}
.active-cart {
  background-color: var(--ion-color-primary);
  color: #ffffff;
  text-shadow:1px 4px 8px rgba(0, 176, 246, 0.25);
  img {
    filter:brightness(0) invert(1);
  }
}
.filter-icon {
  font-size: 30px;
  padding-right: 15px;
  color: #fff;
}
.no-padding-bottom {padding-bottom: 0px;}
.no-padding-top {padding-top: 0px;}
.vertical-line {
  border-top: 1px solid #ddd;
  margin: 10px 0px;
}
.circle-btn  {
  height: 23px;
  width: 25px;
  color: #ffffff;
  border-radius: 50%;
  background-color: var(--ion-color-primary);

}
